org.codehaus.plexus.component.repository

## Class ComponentDependency

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentDependency

    public class ComponentDependency
    extends Object

Version:
  $Id: ComponentDependency.java 1569 2005-03-18 21:50:47Z jdcasey $
Author:
  Jason van Zyl, Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`ComponentDependency()`

### Method Summary

Methods
`String` `getArtifactId()`
`String` `getGroupId()`
`String` `getType()`
`String` `getVersion()`
`void` `setArtifactId(String artifactId)`
`void` `setGroupId(String groupId)`
`void` `setType(String type)`
`void` `setVersion(String version)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentDependency

    public ComponentDependency()

### Method Detail

#### getArtifactId

    public String getArtifactId()

Returns:
  Returns the artifactId.

#### setArtifactId

    public void setArtifactId(String artifactId)

Parameters:
  `artifactId` - The artifactId to set.

#### getGroupId

    public String getGroupId()

Returns:
  Returns the groupId.

#### setGroupId

    public void setGroupId(String groupId)

Parameters:
  `groupId` - The groupId to set.

#### getType

    public String getType()

Returns:
  Returns the type.

#### setType

    public void setType(String type)

Parameters:
  `type` - The type to set.

#### getVersion

    public String getVersion()

Returns:
  Returns the version.

#### setVersion

    public void setVersion(String version)

Parameters:
  `version` - The version to set.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`